Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1291391 - Review Request: nodejs-has-ansi - Check if a string has ANSI escape codes
Summary: Review Request: nodejs-has-ansi - Check if a string has ANSI escape codes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-12-14 18:38 UTC by Jared Smith
Modified: 2016-05-16 22:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-16 19:07:02 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2015-12-14 18:38:38 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-has-ansi/nodejs-has-ansi.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-has-ansi/nodejs-has-ansi-2.0.0-1.fc24.src.rpm
Description: Check if a string has ANSI escape codes
Fedora Account System Username: jsmith

Comment 1 Parag AN(पराग) 2015-12-15 04:16:12 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
1) Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

==> This is due to we have nodejs-ansi-regex-1.1.1 in Fedora. Either update it to 2.0.0 or add fixdep in this package

2) macro usage should be unique (cosmetic issue) use everywhere "%{__nodejs}".

3) Any reason to explicitly add "Requires: nodejs"?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/parag/1291391-nodejs-has-ansi/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/parag/1291391-nodejs-has-ansi/results/nodejs-has-ansi-2.0.0-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/parag/1291391-nodejs-has-ansi/results/nodejs-has-ansi-2.0.0-1.fc24.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: nodejs-has-ansi-2.0.0-1.fc24.noarch.rpm
          nodejs-has-ansi-2.0.0-1.fc24.src.rpm
nodejs-has-ansi.noarch: W: only-non-binary-in-usr-lib
nodejs-has-ansi.noarch: W: dangling-symlink /usr/lib/node_modules/has-ansi/node_modules/ansi-regex /usr/lib/node_modules/ansi-regex
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Requires
--------
nodejs-has-ansi (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)
    npm(ansi-regex)



Provides
--------
nodejs-has-ansi:
    nodejs-has-ansi
    npm(has-ansi)



Source checksums
----------------
https://registry.npmjs.org/has-ansi/-/has-ansi-2.0.0.tgz :
  CHECKSUM(SHA256) this package     : e30265eb491e78d3586ea64dea6b61f3d45a28a28d908caf73f04531764344ed
  CHECKSUM(SHA256) upstream package : e30265eb491e78d3586ea64dea6b61f3d45a28a28d908caf73f04531764344ed
https://raw.githubusercontent.com/chalk/has-ansi/0722275e1bef139fcd09137da6e5550c3cd368b9/test.js :
  CHECKSUM(SHA256) this package     : 624d246a4622552b7681dc4c1917d67addbd7ace6a34ed5b951590a05fe95f80
  CHECKSUM(SHA256) upstream package : 624d246a4622552b7681dc4c1917d67addbd7ace6a34ed5b951590a05fe95f80


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20


Please fix the issues reported at start of this review text before this package import.

APPROVED.

Comment 2 Gwyn Ciesla 2015-12-15 14:50:05 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-has-ansi

Comment 3 Fedora Update System 2015-12-15 15:47:58 UTC
nodejs-has-ansi-2.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5408326b3e

Comment 4 Fedora Update System 2015-12-15 15:48:15 UTC
nodejs-has-ansi-2.0.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-556e5184f4

Comment 5 Fedora Update System 2015-12-15 15:48:36 UTC
nodejs-has-ansi-2.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7b54433d67

Comment 6 Fedora Update System 2015-12-15 15:48:54 UTC
nodejs-has-ansi-2.0.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-44b74270bc

Comment 7 Fedora Update System 2015-12-16 14:51:21 UTC
nodejs-has-ansi-2.0.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-has-ansi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-556e5184f4

Comment 8 Fedora Update System 2015-12-16 15:18:40 UTC
nodejs-has-ansi-2.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-has-ansi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-44b74270bc

Comment 9 Fedora Update System 2015-12-16 15:20:02 UTC
nodejs-has-ansi-2.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-has-ansi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7b54433d67

Comment 10 Fedora Update System 2015-12-17 02:00:16 UTC
nodejs-has-ansi-2.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-has-ansi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5408326b3e

Comment 11 Parag AN(पराग) 2016-05-01 05:59:49 UTC
Is there any reason for not to push this package to any stable repository yet?

Comment 12 Jared Smith 2016-05-15 13:12:37 UTC
Pushed to epel7, f22, and f23.  I'm not going to push to EL6 or lower, as I think there are still missing dependencies there.

Comment 13 Fedora Update System 2016-05-16 19:07:01 UTC
nodejs-has-ansi-2.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-16 22:26:05 UTC
nodejs-has-ansi-2.0.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-16 22:28:34 UTC
nodejs-has-ansi-2.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.